=== debian/control ===
Source: ros-iron-rmf-visualization-obstacles
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmf-obstacle-msgs, ros-iron-rmf-utils <!nocheck>, ros-iron-rmf-visualization-msgs, ros-iron-vision-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-visualization-obstacles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmf-obstacle-msgs, ros-iron-rmf-visualization-msgs, ros-iron-vision-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: A visualizer for obstacles in RMF
